Bug 1739762 - Error message about missing file(unicode.pf2) while boot via EFI
Summary: Error message about missing file(unicode.pf2) while boot via EFI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1956910 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-10 07:06 UTC by Frank Büttner
Modified: 2021-11-13 15:21 UTC (History)
9 users (show)

Fixed In Version: grub2-2.06-3.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1955212 (view as bug list)
Environment:
Last Closed: 2021-07-06 09:54:01 UTC
Type: Bug


Attachments (Terms of Use)
An picture of the error message. (1.84 MB, image/png)
2019-08-10 07:06 UTC, Frank Büttner
no flags Details

Description Frank Büttner 2019-08-10 07:06:51 UTC
Created attachment 1602411 [details]
An picture of the error message.

Description of problem:
When I boot the system via EFI, for one second grub shows an error about an missing file.

Version-Release number of selected component (if applicable):
grub2-efi-x64-2.02-62.fc29.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Boot the system

Actual results:
An error about the missing file unicode.pf2 is shown.

Expected results:
That no error is shown.


Additional info:
The missing file will be resend in many grub2 packages.

Comment 1 Ben Cotton 2019-10-31 18:57:57 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Frank Büttner 2019-11-01 16:17:30 UTC
Same on F30

Comment 3 Loïc Yhuel 2020-01-01 06:14:46 UTC
Still present on F31, this prevents GRUB_GFXMODE from working.
A manual workaround is to copy /usr/share/grub/unicode.pf2 to /boot/efi/EFI/fedora/fonts/unicode.pf2.

/boot/efi/EFI/fedora/fonts/unicode.pf2 exists, but in grub2-efi-$arch-cdboot packages.
I think it must be added to grub2-efi-$arch packages too.

Comment 4 Ben Cotton 2020-04-30 20:36:18 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Frank Büttner 2020-05-01 06:44:53 UTC
Same on F31

Comment 6 Ben Cotton 2020-11-03 15:32:11 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Frank Büttner 2020-11-03 16:49:56 UTC
Also on F32

Comment 8 Andy Wang 2021-04-23 05:03:59 UTC
This is also occurring on F34.

if [ x$feature_default_font_path = xy ] ; then
   font=unicode
else
insmod btrfs
search --no-floppy --fs-uuid --set=root 0568db24-ae30-4dfc-919c-ea994c777714
    font="/root/usr/share/grub/unicode.pf2"
fi


It looks like it's trying to be smart enough to use btrfs to load the fonts from the btrfs root volume.
I'm using btrfs encryption though.  How would this work in that case?

Comment 9 Frank Büttner 2021-04-23 06:19:44 UTC
It is file system independent, because I use XFS.

Comment 10 Andy Wang 2021-04-23 15:24:16 UTC
(In reply to Frank Büttner from comment #9)
> It is file system independent, because I use XFS.

Are you using disk encryption?  I was thinking that it's less related to the filesystem and more to that.  But if you aren't then I dunno :)  Just guessing.

Comment 11 Frank Büttner 2021-04-23 16:04:46 UTC
Yes I use LUKS. Only the boot partitions is unencrypted.
Here my disc layout:
1. EFI Boot FAT
2. Linux Boot XFS
3. Luks
3.1 LVM inside the luks container
The rest(/, /home, swap, etc.) are an part of the lvm.

Comment 12 Andy Wang 2021-04-25 01:28:13 UTC
I just reproduced this.  Two identically installed fedora 34 VMs with one difference, I enabled disk encryption one, and did not on the other.  Default installation options (btrfs, didn't make any changes).

After installing
added 
GRUB_TERMINAL=gfxterm
to /etc/default/grub
and grub2-mkconfig -o /boot/grub2/grub.cfg

After rebooting, the same messages occur on the encrypted system and not on the unencrypted system.  The grub.cfg has a similar block as I mentioned in comment #8.

I think the issue is, that this is simply not able to read the font off the encrypted root filesystem.

Comment 13 Fedora Program Management 2021-04-29 15:56:14 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Frank Büttner 2021-04-30 10:32:57 UTC
Set it to f34, because of comment 12

Comment 15 Javier Martinez Canillas 2021-06-29 17:22:03 UTC
*** Bug 1956910 has been marked as a duplicate of this bug. ***

Comment 16 Fedora Update System 2021-07-06 09:49:26 UTC
FEDORA-2021-21ed0c951f has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-21ed0c951f

Comment 17 Fedora Update System 2021-07-06 09:54:01 UTC
FEDORA-2021-21ed0c951f has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Sergio Basto 2021-09-08 14:30:00 UTC
just a note if this is fixed on F35 ? is not on F34 and F33 !

Comment 20 Boyd 2021-10-27 09:06:50 UTC
Also getting this error with livemedia-creator (lorax) trying to make a spin.  But this causes the operation to fail.   Very frustrating on a slow network here in West Africa.   Hope this is fixed soon for F34.
(have been tryng to copy file manually but unsuccessfully)

livemedia.log
3101:2021-10-27 08:48:27,528 DEBUG pylorax.ltmpl: template line 34: install boot/grub2/fonts/unicode.pf2 EFI/BOOT/fonts/
3103:2021-10-27 08:48:27,528 ERROR pylorax.ltmpl:   install boot/grub2/fonts/unicode.pf2 EFI/BOOT/fonts/
3104:2021-10-27 08:48:27,534 ERROR pylorax.ltmpl:   OSError: nothing matching /var/home/bkelly/livecd/ci-spin/results/lorax.imgutils.oy8ox1k1/boot/grub2/fonts/unicode.pf2 in /

Comment 21 Jason 2021-11-13 15:21:33 UTC
I got this as well in F35 (5.14.17-301.fc35.x86_64) and resolved by running `cp /usr/share/grub/*.pf2 /boot/efi/EFI/fedora/fonts`.


Note You need to log in before you can comment on or make changes to this bug.